> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all fields for all enrichers for a given user



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_user_enrichers/fields
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_user_enrichers/fields:
    get:
      tags:
        - EndUserEnrichers
      summary: Get all fields for all enrichers for a given user
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/EnricherFieldsSchema'
                type: array
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EnricherFieldsSchema:
      properties:
        enricher_type:
          type: string
        fields:
          items:
            type: string
          type: array
        name:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````